%define dist .el5

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
Summary: A library for decoding RHEL installation numbers
Name: rhel-instnum
Version: 1.0.7
Release: 1%{?dist}.XOS.1
URL: http://www.redhat.com
License: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: gettext, python
Source0: %{name}-%{version}.tar.bz2
Requires: rhpl

%description
rhel-instnum provides methods for decoding RHEL installation numbers

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make INSTROOT=$RPM_BUILD_ROOT PYDIR=%{python_sitelib} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{python_sitelib}/instnum.py*
%doc ChangeLog

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 1.0.7-1.el5.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on rhel-instnum-1.0.7-1.el5.src.rpm
  (md5sum of original source rpm: fe1651d4fcfb21bd3c8eb4fb02852c3f).
- Include "dist" macro with value ".el5" to match the original release number.

* Wed Dec 27 2006 Dave Lehman <dlehman@redhat.com> 1.0.7-1%{?dist}
- flatten repo dict so each option maps to one repo (related to #220241)
- don't try to translate exception messages

* Wed Dec 13 2006 Dave Lehman <dlehman@redhat.com> 1.0.6-1%{?dist}
- minor adjustment of option combinations

* Thu Dec  7 2006 Dave Lehman <dlehman@redhat.com> 1.0.5-1%{?dist}
- strip out non-alphanumeric chars in the number (#215783,#218716)
- change __str__ to print the number with dashes (blocks of 4 digits)

* Fri Oct 27 2006 Dave Lehman <dlehman@redhat.com> 1.0.4-1%{?dist}
- fix mode of instnum.py (644)
- miscellaneous little changes to pacify pychecker
- add ChangeLog

* Tue Oct 24 2006 Dave Lehman <dlehman@redhat.com> 1.0.3-1
- convert all exceptions raised in __init__ to InstallationNumberError
- include format specification
- change the "FullProd" key to "Base" in the dict returned by get_repos_dict
- add 24 and 32-char formats to maps

* Sat Oct 21 2006 Dave Lehman <dlehman@redhat.com> 1.0.2-1
- rename the module from rhel_instnum to instnum
- add an alias for InstallationNumber called InstNum
- add get_repos_dict method to InstallationNumber class
- remove leading "/" from repos in map

* Thu Oct 19 2006 Dave Lehman <dlehman@redhat.com> 1.0.1-1
- use %%python_sitelib and remove Makefile.inc
- fix BuildRoot and also remove it in %%install
- add URL

* Wed Oct 18 2006 Dave Lehman <dlehman@redhat.com> 1.0.0-2
- always put it in /usr/lib, not %%_libdir

* Mon Oct 16 2006 Dave Lehman <dlehman@redhat.com> 1.0.0-1
- Initial build

